*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

html{
    scroll-behavior: smooth;
    font-size: 16px;
}

body{
    font-family: 'Raleway', sans-serif;
}

/* Font Weights Descargados:
Thin 100
Thin 100 Italic
ExtraLight 200
ExtraLight 200 Italic
Light 300
Light 300 Italic
Regular 400
Regular 400 Italic
Medium 500
Medium 500 Italic
SemiBold 600
SemiBold 600 Italic
Bold 700
Bold 700 Italic
ExtraBold 800
ExtraBold 800 Italic
Black 900
Black 900 Italic */

/* Font Weights utilizados en página previa: 100, 300, 600, 800 */

:root{
    --colorFilos: #6A0B26;
    --colorVinoOscuro: #49091b;
    --colorBlanco: white;
    --colorGris: #404349;
    --colorGrisOscuro: #292929;
    --colorContraste: #f2f2f2;
}

.container{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 60px 0;
}

/* Barra de Navegación */

nav{
    background: var(--colorBlanco);
}

nav.container{
    padding: 0;
}

.container__menu{
    display: flex;
    height: 70px;
    align-items: center;
    justify-content: space-between;
}

.container__menu-logo img{
    height: 70px;
    padding: 20px 0;
    display: block;
}

.container__menu-links li{
    list-style: none;
    display: inline-block;
}

.container__menu-links a{
    text-decoration: none;
    color: var(--colorFilos);
    font-size: 1.1rem;
    font-weight: 300;
    margin-left: 15px;
}

.container__menu-links a:hover{
    text-decoration: underline;
}

/* Hero */

.hero{
    background-image: url(images/fondos/fondo__libros.png);
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
}

.hero__container{
    height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.hero__title{
    color: var(--colorBlanco);
    font-weight: 600;
    font-size: 3.75rem;
    margin-bottom: 15px;
}

.hero__text{
    color: var(--colorBlanco);
    font-size: 1.25rem;
    font-weight: 300;
    margin-bottom: 20px;
    line-height: 1.55rem;
}

.button{
    background: var(--colorFilos);
    text-decoration: none;
    color: var(--colorBlanco);
    padding: 15px 20px;
    width: auto;
    display: inline-block;
    border-radius: 10px;
    font-size: 1rem;
    transition: transform .3s;
    text-align: center;
}

.hero__button{
    margin-top: 15px;
}

.button:hover{
    transform: scale(1.1);
}

.button:active{
    background-color: var(--colorVinoOscuro);
}

/* ¿Qué es Filosumenes? */

.section__title{
    font-size: 2.5rem;
    text-align: center;
    color: var(--colorFilos);
    font-weight: 600;
    margin-bottom: 20px;
}

.section__text{
    font-size: 1rem;
    color: var(--colorGrisOscuro);
    text-align: center;
    margin-bottom: 60px;
    line-height: 1.87rem;
    font-weight: 300;
}

.circles{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 60px;
    gap: 30px;
}

.circles__singular{
    height: 180px;
    width: 180px;
    border-radius: 50%;
    background: var(--colorGris);
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;
    transition: all .3s;
}

.circles__singular h3{
    color: var(--colorBlanco);
    font-size: 1.15rem;
    font-weight: 600;
    z-index: 2;
}

.circles__singular:hover{
    transform: scale(1.1);
}

.circles__singular-hover{
    width: 100%;
    height: 100%;
    background: #6a0b265a;
    position: absolute;
    z-index: 1;
    transform: translateY(-100%);
    transition: transform .3s;
}

.circles__singular:hover .circles__singular-hover{
    transform: translate(0);
}

.circles__singular:nth-child(1){
    background-image: url(images/fondos/fondo__analisis.png);
    background-position: center;
    background-size: cover;
}

.circles__singular:nth-child(2){
    background-image: url(images/fondos/fondo__resumen.png);
    background-position: center;
    background-size: cover;
}

.circles__singular:nth-child(3){
    background-image: url(images/fondos/fondo__dialogos.png);
    background-position: center;
    background-size: cover;
}

.circles__singular:nth-child(4){
    background-image: url(images/fondos/fondo__noticias.png);
    background-position: center;
    background-size: cover;
}

.section__text-justify{
    text-align: justify;
}

.section__text-final{
    margin-bottom: 0;
}

.section__text a{
    text-decoration: none;
    font-style: italic;
    color: inherit;
}

.section__text a:hover{
    color: var(--colorFilos);
}

/* Nuestro contenido */

.container__contrast{
    background-color: var(--colorContraste);
}

.content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px,270px));
    gap: 50px;
    justify-content: space-evenly;
}

.content a{
    text-decoration: none;
}

.content__singular{
    height: 150px;
    background-color: var(--colorGris);
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform .3s;
    position: relative;
    overflow: hidden;
}

.content__singular h3{
    color: var(--colorBlanco);
    font-size: 1.15rem;
    font-weight: 600;
    line-height: 1.87rem;
    text-align: center;
    z-index: 2;
}

.content__singular:hover{
    transform: scale(1.1);
}

.content__singular-hover{
    background: #6a0b265a;
    width: 100%;
    height: 100%;
    z-index: 1;
    transform: translateY(-100%);
    transition: transform .3s;
    position: absolute;
}

.content__singular:hover .content__singular-hover{
    transform: translate(0);
}

.content__singular:nth-child(1){
    background-image: url(images/fondos/fondo__semanal.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(2){
    background-image: url(images/fondos/fondo__comentario.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(3){
    background-image: url(images/fondos/fondo__tok.png);
    background-position: 0 -90px;
    background-size: cover;
}

.content__singular:nth-child(4){
    background-image: url(images/fondos/fondo__ensayo.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(5){
    background-image: url(images/fondos/fondo__dialogos.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(6){
    background-image: url(images/fondos/fondo__fragmento.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(7){
    background-image: url(images/fondos/fondo__significa.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(8){
    background-image: url(images/fondos/fondo__resumen.png);
    background-position: center;
    background-size: cover;
}

.content__singular:nth-child(9){
    background-image: url(images/fondos/fondo__arte.png);
    background-position: center;
    background-size: cover;
}

/* Conoce al creador */

.quote{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.quote__author{
    width: auto;
    text-decoration: none;
    transition: all .3s;
}

.quote__author:hover .quote__author-name{
    color: var(--colorFilos);
}

.quote__author:hover{
    transform: scale(1.1);
}

.quote__author img{
    /* Quitar BG de color */
    background-color: var(--colorFilos);
    height: 200px;
    width: 200px;
    border-radius: 50%;
    margin-bottom: 15px;
    /* Quitar el display */
    display: inline-block;
    transition: all .3s;
}

/* Utilicé .quote__author-name sólo para el hover */
.quote__author h4{
    color: var(--colorGrisOscuro);
    font-weight: 600;
    text-align: center;
    font-size: 1rem;
}

.quote__text{
    width: 75%;
}

.quote__text-date{
    text-align: right;
    margin-top: 10px;
}

/* Colaboradores */

.cards{
    display: grid;
    justify-content: space-evenly;
    gap: 50px;
}

.cards a{
    text-decoration: none;
}

.cards__singular{
    background-color: var(--colorGris);
    border-radius: 10px;
    height: 110px;
    display: flex;
    align-items: center;
    padding: 20px 30px;
    transition: transform .3s;
}

.cards__singular:hover{
    transform: scale(1.1);
    background-color: var(--colorFilos);
}

.cards__singular:active{
    background-color: var(--colorVinoOscuro);
}

.cards__singular img{
    /* Quitar BG de color. */
    height: 70px;
    width: 70px;
    border-radius: 50%;
}

.cards__singular-name{
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 17px;
}

.cards__singular-name h4{
    font-size: 1rem;
    color: var(--colorBlanco);
    font-weight: 600;
    margin-bottom: 5px;
}

.cards__singular-name .text{
    color: var(--colorBlanco);
    font-size: 0.85rem;
}

/* Contribuye al proyecto */

.section__button{
    display: flex;
    width: 100%;
    justify-content: center;
    margin-top: -20px;
}

/* Footer */

.footer__index{
    background-image: url(images/fondos/fondo__libros.png);
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    height: 500px;
    position: relative;
}

.footer__index .section__title{
    color: var(--colorBlanco);
}

.footer__index .section__text{
    color: var(--colorBlanco);
}

.footer__social{
    display: flex;
    justify-content: space-around;
    width: 70%;
    margin: auto;
}

.footer__social .fa-brands{
    color: var(--colorBlanco);
    font-size: 6.25rem;
    transition: transform .3s;
}

.footer__social .fa-brands:hover{
    transform: scale(1.1);
    color: var(--colorFilos);
}

.footer__credits{
    background-color: var(--colorFilos);
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 50px;
    display: flex;
    align-items: center;
}

.footer__credits .container{
    padding: 0;
}

.footer__credits .text{
    text-align: center;
    color: var(--colorBlanco);
    font-weight: 300;
    font-size: .9rem;
}

/* Contacto */

.hero__contacto{
    background-image: url(images/fondos/fondo__contacto.png);
    background-size: cover;
}

.list__icons li{
    list-style: none;
    font-size: 1rem;
    color: var(--colorGrisOscuro);
    font-weight: 300;
    line-height: 1.87rem;
}

.list__icons i{
    font-size: 1.1rem;
    color: var(--colorFilos);
    margin-right: 10px;
}

/* Aviso */

.warning{
    height: calc(100vh - 120px);
}

.warning .hero__container{
    height: inherit;
}

.footer__credits-container{
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0;
}

.footer__credits-warning{
    bottom: 0;
    position: relative;
}

/* 
    QUITAR ATTACHMENT DE FONDOS PARA DISPOSITIVOS IOS
*/

@media screen and (max-width:1100px) {
    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit,minmax(180px,260px));
    }

    /* Conoce al creador */
    .quote__text{
        width: 70%;
    }

    /* Colaboradores */
    .cards{
        grid-template-columns: repeat(auto-fit,minmax(300px,420px));
    }

    /* iOS Attachment */
    .hero{
        background-attachment: scroll;
    }

    .footer__index{
        background-attachment: scroll;
    }
}

@media screen and (max-width:1000px) {
    html{
        font-size: 15px;
    }

    /* ¿Qué es Filosumenes? */
    .circles__singular{
        height: 160px;
        width: 160px;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(180px,230px));
        gap: 45px;
    }

    /* Conoce al creador */
    .quote{
        flex-direction: column;
    }

    .quote__author{
        margin-bottom: 30px;
    }

    .quote__text{
        width: 100%;
    }

    /* Colaboradores */
    .cards{
        gap: 30px;
        grid-template-columns: repeat(auto-fit,minmax(300px,420px));
    }

    .cards__singular{
        padding: 20px 25px;
        height: 100px;
    }
}

@media screen and (max-width:900px) {
    html{
        font-size: 14px;
    }

    /* Hero */
    .hero__container{
        height: 450px;
    }

    /* ¿Qué es Filosumenes? */
    .circles__singular{
        height: 150px;
        width: 150px;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(180px,210px));
    }

    .content__singular{
        height: 140px;
    }

    /* Footer */
    .footer__index{
        height: 450px;
    }
}

@media screen and (max-width:800px) {
    /* Hero */
    .hero__title{
        font-size: 3.5rem;
    }

    .section__text{
        margin-bottom: 50px;
    }

    .section__text-final{
        margin-bottom: 0;
    }

    /* ¿Qué es Filosumenes? */
    .circles__singular{
        height: 135px;
        width: 135px;
    }

    .circles{
        margin-bottom: 50px;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(150px,180px));
    }

    .content__singular{
        height: 120px;
    }
}

@media screen and (max-width:700px) {
    /* Hero */
    .hero__title{
        font-size: 3.9rem;
        width: 90%;
    }
    
    /* ¿Qué es Filosumenes? */
    .circles__singular{
        height: 115px;
        width: 115px;
    }

    .circles{
        gap: 25px;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(150px,155px));
        gap: 35px;
    }

    .content__singular{
        height: 110px;
    }

    /* Conoce al creador */
    .quote__author img{
        height: 180px;
        width: 180px;
    }

    /* Colaboradores */
    .cards__singular img{
        height: 60px;
        width: 60px;
    }

    /* Footer */
    .footer__social{
        width: 90%;
    }

    /* Aviso */
    .warning .hero__container .hero__title{
        width: 100%;
    }
}

@media screen and (max-width:700px) {
    /* Hero */
    .hero__title{
        width: 75%;
    }
}

@media screen and (max-width:600px) {
    html{
        font-size: 13px;
    }
    
    /* Barra de navegación */
    .container__menu{
        flex-direction: column;
        height: 90px;
    }

    .container__menu-logo img{
        height: 60px;
        padding: 20px 0 15px 0;
    }

    .container__menu-links a{
        margin: 0 8px 0 8px;
    }

    .container__menu-links{
        padding-bottom: 10px;
    }

    /* Hero */
    .hero__title{
        width: 90%;
        font-size: 3.5rem;
    }
    
    .hero__text{
        line-height: 1.87rem;
        width: 90%;
    }

    .hero__container{
        height: 420px;
    }

    /* ¿Qué es Filosumenes? */
    .circles__singular{
        height: 90px;
        width: 90px;
    }

    .circles__singular h3{
        font-size: 1rem;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(100px,125px));
    }

    .content__singular{
        height: 80px;
    }

    .content__singular h3{
        font-size: 1rem;
    }

    /* Conoce al creador */
    .quote__author img{
        height: 160px;
        width: 160px;
    }

    /* Colaboradores */
    .cards__singular{
        height: 95px;
    }

    /* Footer */
    .footer__index{
        height: 420px;
    }

    .footer__social .fa-brands{
        font-size: 5.5rem;
    }

    /* Contacto */
    .hero__contacto .hero__container .hero__title{
        width: 100%;
    }

    /* Aviso */
    .warning{
        height: calc(100vh - 140px);
    }
}

@media screen and (max-width:600px) {
    /* Hero */
    .hero__title{
        width: 75%;
    }

    /* CORREGIR HERO__TITTLE SÓLO DEL TITTLE DEL INCIO */
}

@media screen and (max-width:500px) {
    html{
        font-size: 12.5px;
    }

    .section__title{
        font-size: 2rem;
    }

    /* Hero */
    .hero__title{
        font-size: 3.2rem;
    }

    .hero__container{
        height: 400px;
    }

    /* ¿Qué es Filosumenes? */
    .circles{
        justify-content: space-evenly;
    }
    
    .circles__singular{
        height: 110px;
        width: 110px;
    }

    .circles__singular h3{
        font-size: 1.15rem;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(100px,160px));
        gap: 30px;
    }

    .content__singular{
        height: 100px;
    }

    /* Colaboradores */
    .cards__singular img{
        height: 55px;
        width: 55px;
    }

    .cards__singular{
        padding: 15px 25px;
        height: 85px;
    }

    .cards{
        gap: 25px;
    }

    /* Footer */
    .footer__index{
        height: 400px;
    }
    
    .footer__social{
        width: 100%;
    }

    .footer__social .fa-brands{
        font-size: 5rem;
    }
}

@media screen and (max-width:500px) {
    /* ¿Qué es Filosumenes? */
    .circles{
        gap: 38px;
    }
    
    .circles__singular{
        height: 125px;
        width: 125px;
    }
}

@media screen and (max-width:450px) {
    /* ¿Qué es Filosumenes? */
    .circles{
        gap: 25px;
    }

    .circles__singular{
        height: 115px;
        width: 115px;
    }
}

@media screen and (max-width:400px) {
    html{
        font-size: 12px;
    }

    .section__title{
        font-size: 1.8rem;
    }

    .section__text{
        margin-bottom: 45px;
    }

    .section__text-final{
        margin-bottom: 0;
    }

    .container{
        padding: 55px 0;
    }

    /* Hero */
    .hero__title{
        width: 90%;
        font-size: 2.9rem;
    }

    .hero__container{
        height: 380px;
    }

    /* ¿Qué es Filosumenes? */
    .circles{
        margin-bottom: 45px;
    }

    /* Nuestro contenido */
    .content{
        grid-template-columns: repeat(auto-fit, minmax(100px,130px));
        gap: 25px;
    }

    .content__singular{
        height: 90px;
    }

    /* Conoce al creador */
    .quote__author img{
        height: 140px;
        width: 140px;
    }

    /* Colaboradores */
    .cards{
        grid-template-columns: repeat(auto-fit,minmax(100px,280px));
    }

    .cards__singular{
        padding: 15px 15px;
        height: 80px;
    }

    .cards__singular img{
        width: 55px;
    }

    .cards__singular-name{
        margin-left: 10px;
        width: auto;
    }

    .cards__singular-name h4{
        line-height: 1.4rem;
    }

    /* Footer */
    .footer__index{
        height: 350px;
    }

    .footer__social .fa-brands{
        font-size: 4rem;
    }

    .footer__credits-text{
        line-height: 1.4rem;
    }

    /* Contacto */
    .hero__contacto .hero__container .hero__text{
        width: 100%;
    }
}

@media screen and (max-width:400px) {
    /* Hero */
    .hero__title{
        width: 85%;
    }

    /* Colaboradores */
    .cards{
        grid-template-columns: repeat(auto-fit,minmax(100px,320px));
    }
}

@media screen and (max-width:350px) {
    /* Hero */
    .hero__title{
        width: 90%;
    }

    /* Contacto */
    .hero__contacto .hero__container .hero__text{
        width: 90%;
    }
}

@media screen and (max-width:300px) {
    html{
        font-size: 11px;
    }

    .section__title{
        font-size: 1.4rem;
    }

    .section__text{
        margin-bottom: 30px;
    }

    .section__text-final{
        margin-bottom: 0;
    }

    .container{
        padding: 40px 0;
    }

    /* Barra de navegación */
    .container__menu-logo img{
        height: 60px;
    }

    /* Hero */
    .hero__title{
        font-size: 2rem;
    }

    .hero__text{
        font-size: 1.1rem;
        margin-bottom: 5px;
    }

    /* ¿Qué es Filosumenes? */
    .circles{
        margin-bottom: 30px;
    }

    /* Nuestro contenido */
    .content__singular h3{
        font-size: 1.15rem;
    }

    /* Conoce al creador */
    .quote__author img{
        height: 120px;
        width: 120px;
    }

    .quote__author{
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    /* Colaboradores */
    .cards__singular h4{
        font-size: .8rem;
    }

    .cards__singular img{
        height: 40px;
        width: 40px;
    }

    /* Contribuye al proyecto */
    .section__button{
        margin-top: 0;
    }

    /* Footer */
    .footer__index{
        height: 270px;
    }

    .footer__social .fa-brands{
        font-size: 3rem;
    };
}
